Name:          hdparm
Version:       9.65
Release:       2mamba
Summary:       A utility for displaying and/or setting IDE hard disk parameters
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/hdparm/
Source0:       http://downloads.sourceforge.net/hdparm/hdparm-%{version}.tar.gz
Source1:       hdparm-sysconfig
Source2:       hdparm-initscript
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Hdparm is a useful system utility for setting (E)IDE hard drive parameters.
For example, hdparm can be used to tweak hard drive performance and to spin down hard drives for power conservation.

%debug_package

%prep
%setup -q

%build
%make STRIP=/bin/true

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall sbindir=%{_sbindir} STRIP=/bin/true

install -m755 contrib/idectl %{buildroot}%{_sbindir}
install -m755 contrib/ultrabayd %{buildroot}%{_sbindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/hdparm
%{_sbindir}/idectl
%{_sbindir}/ultrabayd
%{_mandir}/man8/*
%doc LICENSE.TXT

%changelog
* Sun Oct 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 9.65-2mamba
- remove obsolete initscript and related files; add debug package

* Thu Sep 08 2022 Automatic Build System <autodist@mambasoft.it> 9.65-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 9.64-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 9.63-1mamba
- automatic version update by autodist

* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 9.62-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 9.61-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 9.60-1mamba
- automatic version update by autodist

* Thu Nov 22 2018 Automatic Build System <autodist@mambasoft.it> 9.58-1mamba
- automatic version update by autodist

* Sat Oct 27 2018 Automatic Build System <autodist@mambasoft.it> 9.57-1mamba
- automatic version update by autodist

* Thu Apr 05 2018 Automatic Build System <autodist@mambasoft.it> 9.56-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 9.54-1mamba
- automatic version update by autodist

* Tue May 23 2017 Automatic Build System <autodist@mambasoft.it> 9.52-1mamba
- automatic version update by autodist

* Fri Mar 17 2017 Automatic Build System <autodist@mambasoft.it> 9.51-1mamba
- automatic version update by autodist

* Fri Nov 04 2016 Automatic Build System <autodist@mambasoft.it> 9.50-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 9.48-1mamba
- automatic update by autodist

* Sat Oct 25 2014 Automatic Build System <autodist@mambasoft.it> 9.45-1mamba
- automatic update by autodist

* Sat Nov 24 2012 Automatic Build System <autodist@mambasoft.it> 9.43-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 9.42-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 9.39-1mamba
- automatic version update by autodist

* Fri Jan 13 2012 Automatic Build System <autodist@mambasoft.it> 9.38-1mamba
- automatic version update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 9.37-1mamba
- automatic update by autodist

* Sun Nov 14 2010 Automatic Build System <autodist@mambasoft.it> 9.36-1mamba
- automatic update by autodist

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 9.35-1mamba
- automatic update by autodist

* Sat Sep 18 2010 Automatic Build System <autodist@mambasoft.it> 9.30-1mamba
- automatic update by autodist

* Thu Jul 08 2010 Automatic Build System <autodist@mambasoft.it> 9.29-1mamba
- automatic update by autodist

* Fri Mar 12 2010 Automatic Build System <autodist@mambasoft.it> 9.28-1mamba
- automatic update by autodist

* Tue Aug 18 2009 Automatic Build System <autodist@mambasoft.it> 9.25-1mamba
- automatic update by autodist

* Tue Aug 04 2009 Automatic Build System <autodist@mambasoft.it> 9.22-1mamba
- automatic update by autodist

* Fri Jul 17 2009 Automatic Build System <autodist@mambasoft.it> 9.16-1mamba
- automatic update by autodist

* Thu May 07 2009 Automatic Build System <autodist@mambasoft.it> 9.15-1mamba
- automatic update by autodist

* Sat Oct 18 2008 gil <puntogil@libero.it> 8.9-1mamba
- update to 8.9

* Wed Mar 08 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6-1qilnx
- update to version 6.6 by autospec

* Mon Feb 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3-1qilnx
- update to version 6.3 by autospec

* Tue Oct 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 6.1-1qilnx
- update to version 6.1 by autospec
- specfile updates: fixed package group and license, use rpm macros
- initscript rewritten
- %%post script removed (hdparm can cause data corruption if executed with
  mounted disks)

* Mon Mar 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 5.5-3qilnx
- postun script removed (during package updates the restart of hdparm may 
  hang the QiLinux box)

* Mon Mar 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 5.5-2qilnx
- modified initscript and fixed a visualisation problem

* Thu Mar 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 5.5-1qilnx
- new version rebuit

* Sat Nov 22 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4-4qilnx
- removed chkconfig execution (it now starts in rc.sysinit phase)
- added rcsysinit.d service symlink

* Tue Nov 18 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4-3qilnx
- changed service precedence from 10 to 09

* Wed Nov 12 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4-2qilnx
- added hdparm own initscript

* Wed Oct 15 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4-1qilnx
- new version rebuild

* Tue May 20 2003 Silvan Calarco <silvan.calarco@qinet.it> 5.3-2qilnx
- added sysconfig configuration file (harddisks)

* Wed Apr 16 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it>
- creation of hdparm package
